OpenCV: cv::detail::BlocksGainCompensator Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cv::detail::BlocksGainCompensator Class Reference
Images stitching » Exposure Compensation

Exposure compensator which tries to remove exposure related artifacts by adjusting image block intensities, see [91] for details. More...

`#include "exposure_compensate.hpp"`

Inheritance diagram for cv::detail::BlocksGainCompensator:

## Public Member Functions
| BlocksGainCompensator (int bl_width=32, int bl_height=32)
void | apply (int index, Point corner, InputOutputArray image, InputArray mask) CV_OVERRIDE
| Compensate exposure in the specified image. More...
void | feed (const std::vector< Point > &corners, const std::vector< UMat > &images, const std::vector< std::pair< UMat, uchar > > &masks) CV_OVERRIDE
Public Member Functions inherited from cv::detail::ExposureCompensator
virtual | ~ExposureCompensator ()
void | feed (const std::vector< Point > &corners, const std::vector< UMat > &images, const std::vector< UMat > &masks)

## Additional Inherited Members
Public Types inherited from cv::detail::ExposureCompensator
enum | { NO, GAIN, GAIN_BLOCKS }
Static Public Member Functions inherited from cv::detail::ExposureCompensator
static Ptr< ExposureCompensator > | createDefault (int type)

## Detailed Description

Exposure compensator which tries to remove exposure related artifacts by adjusting image block intensities, see [91] for details.

## Constructor & Destructor Documentation

## ◆ BlocksGainCompensator()

cv::detail::BlocksGainCompensator::BlocksGainCompensator | ( | int | bl_width = `32`,
|  | int | bl_height = `32`
| ) |  |
| inline

## Member Function Documentation

## ◆ apply()

void cv::detail::BlocksGainCompensator::apply | ( | int | index,
|  | Point | corner,
|  | InputOutputArray | image,
|  | InputArray | mask
| ) |  |
| virtual

Compensate exposure in the specified image.

Parameters

  index | Image index
  corner | Image top-left corner
  image | Image to process
  mask | Image mask

Implements cv::detail::ExposureCompensator.

## ◆ feed()

void cv::detail::BlocksGainCompensator::feed | ( | const std::vector< Point > & | corners,
|  | const std::vector< UMat > & | images,
|  | const std::vector< std::pair< UMat, uchar > > & | masks
| ) |  |
| virtual

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Implements cv::detail::ExposureCompensator.

The documentation for this class was generated from the following file:

- stitching/include/opencv2/stitching/detail/exposure_compensate.hpp